X2Go Bug report logs - #1128
SSH daemon failed to open its public host key.

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Kalle Tuulos <kalle@tuulos.com>

Date: Tue, 20 Dec 2016 10:40:01 UTC

Severity: normal

Tags: build-win32, pending

Merged with 1105, 1110, 1114, 1115, 1118, 1150

Found in version 4.0.5.2

Fixed in version 4.1.0.0

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#1128; Package x2go windows client. (Tue, 20 Dec 2016 10:40:02 GMT) (full text, mbox, link).


Acknowledgement sent to Kalle Tuulos <kalle@tuulos.com>:
New Bug report received and forwarded. Copy sent to owner@bugs.x2go.org. (Tue, 20 Dec 2016 10:40:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Kalle Tuulos <kalle@tuulos.com>
To: submit@bugs.x2go.org
Subject: SSH daemon failed to open its public host key.
Date: Tue, 20 Dec 2016 12:32:51 +0200
Package: X2Go Windows Client
Version:

1. The steps you took to produce the bug
When I opened X2Go connection to Linux host, I got following error message:

2. Any exact error messages
---8<---8<---
SSH daemon failed to open its public host key.

You have enabled Remote Printing or File Sharing. These features require 
a running and functioning SSH server on your computer. Printing and File 
Sharing will be disabled for this session.

The SSH server is currently not configured properly.
....
---8<---8<---

3. What you expected to happen
The connection should have worked flawlessly.

4. What actually happened
Error message was given.

Information:
1. The client machine's OS (e.g., “Windows 7 64-bit SP1” or “Ubuntu 
12.04 32-bit”)
Windows 10 64-bit

2. The client machine's version of X2GoClient, PyHoca-GUI or Pyhoca-CLI
4.0.5.2

3. Any relevant session settings in X2GoClient, PyHoca-GUI or Pyhoca-CLI
No settings were changed from defaults. Permissions were given for 
Windows Firewall.

4. The server's OS
Ubuntu 16.10.1 64-bit

5. The server's version of the x2goserver package
4.0.1.20-0~1125~ubuntu16.10.1

6- The server's version of the x2goserver-xsession package
4.0.1.20-0~1125~ubuntu16.10.1

7. The server's version of the nxagent package
2:3.5.0.32-0~668~ubuntu16.10.1

8. The server's version of any other relevant packages (e.g., if the bug 
as about MATE integration, the version of x2gomatebindings)
N/A

9. Any relevant settings in X2GoServer (that you changed from the defaults)
None. X2GoServer was installed through PPA.


Information forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#1128; Package x2go windows client. (Wed, 21 Dec 2016 17:30:02 GMT) (full text, mbox, link).


Acknowledgement sent to "Sebastian T." <dpbasti@wp.pl>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Wed, 21 Dec 2016 17:30:03 GMT) (full text, mbox, link).


Message #10 received at 1128@bugs.x2go.org (full text, mbox, reply):

From: "Sebastian T." <dpbasti@wp.pl>
To: Kalle Tuulos <kalle@tuulos.com>, 1128@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1128: SSH daemon failed to open its public host key.
Date: Wed, 21 Dec 2016 18:22:50 +0100
[Message part 1 (text/plain, inline)]
duplicate of http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=1105 ?

Dnia wtorek, 20 grudnia 2016 12:32:51 CET Kalle Tuulos pisze:
> Package: X2Go Windows Client
> Version:
> 
> 1. The steps you took to produce the bug
> When I opened X2Go connection to Linux host, I got following error message:
> 
> 2. Any exact error messages
> ---8<---8<---
> SSH daemon failed to open its public host key.
> 
> You have enabled Remote Printing or File Sharing. These features require
> a running and functioning SSH server on your computer. Printing and File
> Sharing will be disabled for this session.
> 
> The SSH server is currently not configured properly.
> ....
> ---8<---8<---
> 
> 3. What you expected to happen
> The connection should have worked flawlessly.
> 
> 4. What actually happened
> Error message was given.
> 
> Information:
> 1. The client machine's OS (e.g., “Windows 7 64-bit SP1” or “Ubuntu
> 12.04 32-bit”)
> Windows 10 64-bit
> 
> 2. The client machine's version of X2GoClient, PyHoca-GUI or Pyhoca-CLI
> 4.0.5.2
> 
> 3. Any relevant session settings in X2GoClient, PyHoca-GUI or Pyhoca-CLI
> No settings were changed from defaults. Permissions were given for
> Windows Firewall.
> 
> 4. The server's OS
> Ubuntu 16.10.1 64-bit
> 
> 5. The server's version of the x2goserver package
> 4.0.1.20-0~1125~ubuntu16.10.1
> 
> 6- The server's version of the x2goserver-xsession package
> 4.0.1.20-0~1125~ubuntu16.10.1
> 
> 7. The server's version of the nxagent package
> 2:3.5.0.32-0~668~ubuntu16.10.1
> 
> 8. The server's version of any other relevant packages (e.g., if the bug
> as about MATE integration, the version of x2gomatebindings)
> N/A
> 
> 9. Any relevant settings in X2GoServer (that you changed from the defaults)
> None. X2GoServer was installed through PPA.
> _______________________________________________
> x2go-dev mailing list
> x2go-dev@lists.x2go.org
> http://lists.x2go.org/listinfo/x2go-dev
[signature.asc (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#1128; Package x2go windows client. (Sat, 24 Dec 2016 15:00:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Sat, 24 Dec 2016 15:00:02 GMT) (full text, mbox, link).


Message #15 received at 1128@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: "Sebastian T." <dpbasti@wp.pl>, 1128@bugs.x2go.org, Kalle Tuulos <kalle@tuulos.com>
Subject: Re: [X2Go-Dev] SSH daemon failed to open its public host key.
Date: Sat, 24 Dec 2016 15:57:35 +0100
[Message part 1 (text/plain, inline)]
Control: reassign -1 x2goclient 4.0.5.2
Control: tag -1 build-win32
Control: forcemerge -1 1110
Control: forcemerge -1 1105

On 21.12.2016 06:22 PM, Sebastian T. wrote:
> duplicate of http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=1105 ?

Yeah, probably. And while we're at it, merge it with the other list as well. I
guess it's all the same problem, only manifesting differently.


Mihai


[signature.asc (application/pgp-signature, attachment)]

Bug reassigned from package 'x2go windows client' to 'x2goclient'. Request was from Mihai Moldovan <ionic@ionic.de> to 1128-submit@bugs.x2go.org. (Sat, 24 Dec 2016 15:00:02 GMT) (full text, mbox, link).


Marked as found in versions 4.0.5.2. Request was from Mihai Moldovan <ionic@ionic.de> to 1128-submit@bugs.x2go.org. (Sat, 24 Dec 2016 15:00:03 GMT) (full text, mbox, link).


Added tag(s) build-win32. Request was from Mihai Moldovan <ionic@ionic.de> to 1128-submit@bugs.x2go.org. (Sat, 24 Dec 2016 15:00:03 GMT) (full text, mbox, link).


Merged 1110 1114 1115 1128 Request was from Mihai Moldovan <ionic@ionic.de> to 1128-submit@bugs.x2go.org. (Sat, 24 Dec 2016 15:00:03 GMT) (full text, mbox, link).


Marked as fixed in versions 4.0.5.3. Request was from Mihai Moldovan <ionic@ionic.de> to 1128-submit@bugs.x2go.org. (Sat, 24 Dec 2016 15:00:03 GMT) (full text, mbox, link).


Added tag(s) pending. Request was from Mihai Moldovan <ionic@ionic.de> to 1128-submit@bugs.x2go.org. (Sat, 24 Dec 2016 15:00:03 GMT) (full text, mbox, link).


Merged 1105 1110 1114 1115 1118 1128 Request was from Mihai Moldovan <ionic@ionic.de> to 1128-submit@bugs.x2go.org. (Sat, 24 Dec 2016 15:00:03 GMT) (full text, mbox, link).


Marked Bug as done Request was from X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Wed, 22 Feb 2017 04:15:11 GMT) (full text, mbox, link).


Notification sent to Kalle Tuulos <kalle@tuulos.com>:
Bug acknowledged by developer. (Wed, 22 Feb 2017 04:15:11 GMT) (full text, mbox, link).


Bug reopened Request was from Mihai Moldovan <ionic@ionic.de> to 1150-submit@bugs.x2go.org. (Sun, 26 Feb 2017 04:55:02 GMT) (full text, mbox, link).


No longer marked as fixed in versions 4.0.5.3. Request was from Mihai Moldovan <ionic@ionic.de> to 1150-submit@bugs.x2go.org. (Sun, 26 Feb 2017 04:55:02 GMT) (full text, mbox, link).


Marked as fixed in versions 4.0.5.3. Request was from Mihai Moldovan <ionic@ionic.de> to 1150-submit@bugs.x2go.org. (Sun, 26 Feb 2017 04:55:02 GMT) (full text, mbox, link).


Merged 1105 1110 1114 1115 1118 1128 1150 Request was from Mihai Moldovan <ionic@ionic.de> to 1150-submit@bugs.x2go.org. (Sun, 26 Feb 2017 04:55:02 GMT) (full text, mbox, link).


Marked as fixed in versions 4.1.0.0. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Sun, 26 Feb 2017 05:05:02 GMT) (full text, mbox, link).


Marked as fixed in versions -4.0.5.3. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Sun, 26 Feb 2017 05:15:01 GMT) (full text, mbox, link).


No longer marked as fixed in versions 4.0.5.3 and -4.0.5.3. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Tue, 07 Mar 2017 10:35:01 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1128; Package x2goclient. (Fri, 17 Mar 2017 15:45:02 GMT) (full text, mbox, link).


Acknowledgement sent to Redoff Benth <Redoffbenth@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 17 Mar 2017 15:45:02 GMT) (full text, mbox, link).


Message #52 received at 1128@bugs.x2go.org (full text, mbox, reply):

From: Redoff Benth <Redoffbenth@gmail.com>
To: undisclosed-recipients:;
Subject: hi
Date: Fri, 17 Mar 2017 15:42:07 +0000
[Message part 1 (text/plain, inline)]
Re: Uwaga, Drogi, Wysłałem Ci Wcześniej bez odpowiedzi. W moim pierwszym
email wspomniałem o moim odbiorcą, którego późno Nie mogę skontaktować się
z. Jestem zmuszony to zrobić, ponieważ nie chciałbym bank naciskać moich
klientów funduszy (5.7 mln dolarów) do skarbca bankowego jako nieodebrane
dziedziczenia. Chcę przedstawić wam jako beneficjenta funduszu. Jeśli
jesteś zainteresowany daj mi znać, żebym mógł dać Ci, że kompleksowe dane
na temat tego, co mamy do zrobienia. Skontaktuj się ze mną jak najszybciej,
(barrister redoff benth ) ... dzięki
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1128; Package x2goclient. (Fri, 24 Mar 2017 09:15:02 GMT) (full text, mbox, link).


Acknowledgement sent to Redoff Benth <Redoffbenth@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 24 Mar 2017 09:15:02 GMT) (full text, mbox, link).


Message #57 received at 1128@bugs.x2go.org (full text, mbox, reply):

From: Redoff Benth <Redoffbenth@gmail.com>
To: undisclosed-recipients:;
Subject: cześć
Date: Fri, 24 Mar 2017 09:13:54 +0000
[Message part 1 (text/plain, inline)]
Witam drodzy, ja wciąż czekam na odpowiedź e-mail, zrobiłeś otrzymać swój
pierwszy e-mail do Ciebie ???? Z poważaniem, adwokat redoff Benth (Esq
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1128; Package x2goclient. (Mon, 03 Jul 2017 22:35:02 GMT) (full text, mbox, link).


Acknowledgement sent to om123@gator4036.hostgator.com:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 03 Jul 2017 22:35:02 GMT) (full text, mbox, link).


Message #62 received at 1128@bugs.x2go.org (full text, mbox, reply):

From: om123@gator4036.hostgator.com
To: 1128@bugs.x2go.org
Subject: Problems with item delivery, n.005337915
Date: Mon, 3 Jul 2017 17:10:20 -0500
[Message part 1 (text/plain, inline)]
Dear Customer,

We can not deliver your parcel arrived at July 02.

You can download the shipment label attached!

With many thanks,
 ,
UPS Mail Delivery Manager.

[UPS-Label-005337915.zip (application/zip, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1128; Package x2goclient. (Tue, 11 Jul 2017 11:25:01 GMT) (full text, mbox, link).


Acknowledgement sent to p2000432@vps-1115302-x.dattaweb.com:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 11 Jul 2017 11:25:02 GMT) (full text, mbox, link).


Message #67 received at 1128@bugs.x2go.org (full text, mbox, reply):

From: p2000432@vps-1115302-x.dattaweb.com
To: 1128@bugs.x2go.org
Subject: UPS issue #05208906: unable to delivery parcel
Date: Tue, 11 Jul 2017 08:23:17 -0300
[Message part 1 (text/plain, inline)]
Dear Customer,

Your item has arrived at the UPS Post Office at July 07, but the courier was unable to deliver parcel to you.

Postal label is enclosed to this e-mail. Please check the attachment!

All the best,
 ,
UPS Chief Operation Agent.

[UPS-Delivery-05208906.zip (application/zip, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1128; Package x2goclient. (Fri, 01 Sep 2017 16:25:01 GMT) (full text, mbox, link).


Acknowledgement sent to Pierre Atkins <pierreatkinsfirm@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 01 Sep 2017 16:25:02 GMT) (full text, mbox, link).


Message #72 received at 1128@bugs.x2go.org (full text, mbox, reply):

From: Pierre Atkins <pierreatkinsfirm@gmail.com>
To: undisclosed-recipients:;
Subject: Czytać!
Date: Fri, 1 Sep 2017 17:24:47 +0100
[Message part 1 (text/plain, inline)]
[image: Inline image 1]
[Message part 2 (text/html, inline)]
[image.png (image/png, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1128; Package x2goclient. (Tue, 15 Jan 2019 22:10:01 GMT) (full text, mbox, link).


Acknowledgement sent to mr ayoub <houseofilluminatitemple@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 15 Jan 2019 22:10:02 GMT) (full text, mbox, link).


Message #77 received at 1128@bugs.x2go.org (full text, mbox, reply):

From: mr ayoub <houseofilluminatitemple@gmail.com>
To: 1128@bugs.x2go.org
Date: Tue, 15 Jan 2019 14:07:52 -0800
am giving a testimony of how i become rich and famous today... i was
deeply strangled up by poverty and i had no body to help me, and also i
search for help from different corners but to no avail... i see people
around me getting rich but to me i was so ashamed of my self so i met a man
on my way he was very rich and he was a doctor so he told me something and
i think over it though out the day so the next day i looked up and i keep
repeating what he said to me.

" if you want to get rich quick and be famous"
you need to cross your heart and do what
is in your mind

so i tried all i could in other for me to do as he said so later on i told
my fellow friend about this same thing then my friend was interested in my
suggestions so i decided to look in the internet and i found an email
address of this great fraternity( houseofilluminatitemple@gmail.com) so we
decided to contact them and unfortunately we did as they instruct us to do
and later they told us to get some requirements and all the rest... so this
initiation took us just a week and later on the great fraternity gave us
$2 million to start up our lives.... and now am testifying that if in
any case you want to join any great fraternity all you need to do is for
you to contact them because they are legitimate and they do as what they
instructed them to do okay so email them now at (
houseofilluminatitemple@gmail.com)  web site is
http://houseofilluminatit.wix.com/mrayoub


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1128; Package x2goclient. (Sat, 19 Jan 2019 23:00:03 GMT) (full text, mbox, link).


Acknowledgement sent to richardalexer916@gmail.com:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 19 Jan 2019 23:00:03 GMT) (full text, mbox, link).


Message #82 received at 1128@bugs.x2go.org (full text, mbox, reply):

From: Richard Alex <johnsoneric323@gmail.com>
To: undisclosed-recipients:;
Date: Sat, 19 Jan 2019 14:54:54 -0800
-- 
-
Nazywam się Azim Hashim Premji, indyjski magazyn biznesowy, inwestor i
filantrop. Jestem przewodniczącym Wipro Limited. Mam 25 procent mojego
osobistego bogactwa w aplikacjach charytatywnych. Obiecałem również
resztę 25%, które przyznam w 2018 r. Zdecydowałem się przekazać wam
1.000.000,00 euro. Jeśli jesteś zainteresowany moją datką, skontaktuj
się ze mną, by uzyskać więcej informacji. Chcę też, abyś był częścią
mojej charytatywnej fundacji, jak tylko otrzymasz pieniądze, abyśmy
mogli pogodzić biednych, aby ci pomogli.

Możesz także przeczytać więcej o mnie za pomocą poniższego linku.

https://en.wikipedia.org/wiki/Azim_Premji
Azim Premji - Wikipedia

Azim Hashim Premji (ur. 24 lipca 1945 r.) - indyjski magnat biznesowy,
inwestor i filantrop, który przewodniczy Wipro Limited. Jest
nieformalnie znany jako car indyjskiej branży IT. [5] [6] Był
odpowiedzialny za prowadzenie Wipro przez cztery dekady dywersyfikacji
i wzrostu aż do ... de.wikipedia.org


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1128; Package x2goclient. (Sun, 20 Jan 2019 06:45:02 GMT) (full text, mbox, link).


Acknowledgement sent to richardalexer916@gmail.com:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 20 Jan 2019 06:45:02 GMT) (full text, mbox, link).


Message #87 received at 1128@bugs.x2go.org (full text, mbox, reply):

From: Richard Alex <greatilluminati323@gmail.com>
To: undisclosed-recipients:;
Subject: Join Us
Date: Sat, 19 Jan 2019 22:40:26 -0800
-- 
Good day to you everyone, we are the illuminati Agent and we looking
for new souls to join the great brotherhood , once you join us all
your problems will be over and we will be giving $1million Dollars
every month end to each ever brotherhood member , if you are interest
and ready to join us all you need to do is for you to contact Us.


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1128; Package x2goclient. (Sun, 20 Jan 2019 12:50:02 GMT) (full text, mbox, link).


Acknowledgement sent to richardalexer916@gmail.com:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 20 Jan 2019 12:50:03 GMT) (full text, mbox, link).


Message #92 received at 1128@bugs.x2go.org (full text, mbox, reply):

From: mr ayoub <houseofilluminatitemple@gmail.com>
To: undisclosed-recipients:;
Subject: Join The Brotherhood
Date: Sun, 20 Jan 2019 04:47:38 -0800
-- 
Good Day to you all, we are the illuminati Agent and we looking for
new souls to join the great brotherhood , once you join us all your
problems will be over and we will be giving $1million Dollars every
month end to each ever brotherhood member , if you are interest and
ready to join us all you need to do is for you to contact Us.


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1128; Package x2goclient. (Mon, 04 Mar 2019 20:40:03 GMT) (full text, mbox, link).


Acknowledgement sent to jianlin@wang-wandagroup.com:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 04 Mar 2019 20:40:03 GMT) (full text, mbox, link).


Message #97 received at 1128@bugs.x2go.org (full text, mbox, reply):

From: Wang Jianlin <lyn@boom2full.tk>
To: undisclosed-recipients:;
Subject: projekt charytatywny
Date: Mon, 04 Mar 2019 22:30:16 +0200
[Message part 1 (text/plain, inline)]
 

-- 

Mam zamiar przekazać ci część mojego majątku jako darowiznę pieniężną w
postaci wolnej woli, Odpowiadać, aby wziąć udział.
Wang Jianlin
Grupa Wanda
 
[Message part 2 (text/html, inline)]

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Mon Dec 16 10:17:58 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.